%{?nodejs_find_provides_and_requires}

%global packagename source-map-support

%global enable_tests 1

Name:		nodejs-source-map-support
Version:	0.4.18
Release:	5%{?dist}
Summary:	Fixes stack traces for files with source maps

License:	MIT
URL:		https://github.com/evanw/node-source-map-support
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
Source1:	https://raw.githubusercontent.com/evanw/node-source-map-support/v%{version}/test.js


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
BuildRequires:	npm(source-map)

%if 0%{?enable_tests}
BuildRequires:	mocha
%endif

%description
Fixes stack traces for files with source maps


%prep
%autosetup -n package
cp -p %{SOURCE1} .

%nodejs_fixdep source-map

%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
NODE_ENV=test %{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE.md
%{nodejs_sitelib}/%{packagename}

%changelog
* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.18-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.18-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.18-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.18-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Sep 25 2017 Jared Smith <jsmith@fedoraproject.org> - 0.4.18-1
- Update to upstream 0.4.18 release

* Thu Apr 13 2017 Jared Smith <jsmith@fedoraproject.org> - 0.4.14-1
- Update to upstream 0.4.14 release

* Mon Aug  1 2016 Jared Smith <jsmith@fedoraproject.org> - 0.4.2-1
- Initial packaging
